Bug 717965 - ipa config-show : should display new "Password Expiration Notification"
Summary: ipa config-show : should display new "Password Expiration Notification"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-30 14:41 UTC by Jenny Severance
Modified: 2015-01-04 23:49 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The IPA configuration stores a value for Password Expiration Notification but this is not displayed by default. Consequence: Users will know know that there is a value available. Fix: Add to the default list of attributes to show by default. Result: The value will appear by default.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:40:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-06-30 14:41:02 UTC
Description of problem:
ipa config-show is not displaying the recently added Password Expiration Notification.  

ipa config-show --all does, but this should not be required.

# ipa config-show
  Max. username length: 32
  Home directory base: /home
  Default shell: /bin/sh
  Default users group: ipausers
  Default e-mail domain for new users: testrelm
  Search time limit: 2
  Search size limit: 100
  User search fields: uid,givenname,sn,telephonenumber,ou,title
  Group search fields: cn,description
  Migration mode: FALSE
  Certificate Subject base: O=TESTRELM


# ipa config-show --all
  dn: cn=ipaconfig,cn=etc,dc=testrelm
  Max. username length: 32
  Home directory base: /home
  Default shell: /bin/sh
  Default users group: ipausers
  Default e-mail domain for new users: testrelm
  Search time limit: 2
  Search size limit: 100
  User search fields: uid,givenname,sn,telephonenumber,ou,title
  Group search fields: cn,description
  Migration mode: FALSE
  Certificate Subject base: O=TESTRELM
  Default group objectclasses: top, groupofnames, nestedgroup, ipausergroup, ipaobject
  Default user objectclasses: top, person, organizationalperson, inetorgperson, inetuser, posixaccount, krbprincipalaux, krbticketpolicyaux, ipaobject
  Password Expiration Notification: 4
  Password plugin features: AllowNThash
  cn: ipaConfig
  objectclass: nsContainer, top, ipaGuiConfig, ipaConfigObject


Version-Release number of selected component (if applicable):
ipa-server-2.0.99-2.20110629T0200zgit66eeace.el6.x86_64

How reproducible:


Steps to Reproduce:
1. ipa config-show
2. ipa config-show --all
3.
  
Actual results:
output of ipa config-show does not display Password Expiration Notification

Expected results:
output of ipa config-show displays Password Expiration Notification

Additional info:

Comment 1 Dmitri Pal 2011-06-30 15:50:48 UTC
What is the significance.

Comment 2 Rob Crittenden 2011-06-30 17:13:24 UTC
It makes it inconsistent with the web UI. This is a 1-liner fix so no reason not to do it.

https://fedorahosted.org/freeipa/ticket/1416

Comment 3 Rob Crittenden 2011-07-05 19:15:17 UTC
master: cd237e5f54d5ceb75097f42c6968933ac28cdc8e

ipa-2-0: 4ec260d6191c398157cd2044a546010bfd0875f8

Comment 6 Rob Crittenden 2011-10-31 20:44:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The IPA configuration stores a value for Password Expiration Notification but this is not displayed by default.
Consequence: Users will know know that there is a value available.
Fix: Add to the default list of attributes to show by default.
Result: The value will appear by default.

Comment 7 Gowrishankar Rajaiyan 2011-11-02 18:25:32 UTC
[root@jetfire ~]# ipa config-show
  Max. username length: 32
  Home directory base: /home
  Default shell: /bin/sh
  Default users group: ipausers
  Default e-mail domain for new users: testrelm
  Search time limit: 2
  Search size limit: 100
  User search fields: uid,givenname,sn,telephonenumber,ou,title
  Group search fields: cn,description
  Enable migration mode: FALSE
  Certificate Subject base: O=TESTRELM
  Password Expiration Notification (days): 4
[root@jetfire ~]# 



[root@jetfire ~]# rpm -qi ipa-server | head
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.3                             Vendor: Red Hat, Inc.
Release     : 7.el6                         Build Date: Mon 31 Oct 2011 10:29:49 PM EDT
Install Date: Tue 01 Nov 2011 08:33:26 AM EDT      Build Host: x86-012.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.3-7.el6.src.rpm
Size        : 3381421                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server
[root@jetfire ~]#

Comment 8 errata-xmlrpc 2011-12-06 18:40:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.